ZIP_ERROR(5)

NAME
zip_error - error information

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>
zip_error_t error;

DESCRIPTION
A zip_error represents information about an error. It is usually allocated directly on the stack or as member of another structure, not via a pointer.

It is initialized with zip_error_init(3) or zip_error_init_with_code(3).

The type of error can be accessed with zip_error_code_zip(3) and zip_error_code_system(3). It can be converted to a human readable string with zip_error_strerror(3).

After use, it should be cleaned up with zip_error_fini(3).

SEE ALSO
zip_error_code_system(3), zip_error_code_zip(3), zip_error_fini(3), zip_error_init(3), zip_error_init_with_code(3), zip_error_strerror(3)

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>